<?xml version="1.0" encoding="UTF-8"?>
<bpmn:definitions xmlns:bpmn="http://www.omg.org/spec/BPMN/20100524/MODEL" xmlns:bpmndi="http://www.omg.org/spec/BPMN/20100524/DI" xmlns:dc="http://www.omg.org/spec/DD/20100524/DC" xmlns:camunda="http://camunda.org/schema/1.0/bpmn" xmlns:di="http://www.omg.org/spec/DD/20100524/DI" id="Definitions_1gg1vhe" targetNamespace="http://bpmn.io/schema/bpmn" exporter="Camunda Modeler" exporterVersion="2.0.3">
  <bpmn:process id="hello_sila" isExecutable="true">
    <bpmn:startEvent id="StartEvent_1" name="Start Event" camunda:initiator="initiator">
      <bpmn:outgoing>SequenceFlow_0s00thk</bpmn:outgoing>
    </bpmn:startEvent>
    <bpmn:sequenceFlow id="SequenceFlow_0s00thk" sourceRef="StartEvent_1" targetRef="Task_1hu3n0f" />
    <bpmn:userTask id="Task_0smj8wk" name="Look at greeting" camunda:assignee="${initiator}">
      <bpmn:extensionElements>
        <camunda:formData>
          <camunda:formField id="Greeting_Field" label="Greeting" type="string" defaultValue="${parsedGreeting} on Year: ${parsedYear}">
            <camunda:validation>
              <camunda:constraint name="readonly" />
            </camunda:validation>
          </camunda:formField>
        </camunda:formData>
      </bpmn:extensionElements>
      <bpmn:incoming>SequenceFlow_0xzp901</bpmn:incoming>
      <bpmn:outgoing>SequenceFlow_0bhy0yh</bpmn:outgoing>
    </bpmn:userTask>
    <bpmn:endEvent id="EndEvent_1r6litg">
      <bpmn:incoming>SequenceFlow_0bhy0yh</bpmn:incoming>
    </bpmn:endEvent>
    <bpmn:userTask id="Task_0xfvl8l" name="Inform about Error" camunda:assignee="${initiator}">
      <bpmn:extensionElements>
        <camunda:formData>
          <camunda:formField id="errorCode" label="Error Code" type="string" defaultValue="${errorCode}">
            <camunda:validation>
              <camunda:constraint name="readonly" />
            </camunda:validation>
          </camunda:formField>
          <camunda:formField id="errorMessage" label="Error Message" type="string" defaultValue="${errorMessage}" />
        </camunda:formData>
      </bpmn:extensionElements>
      <bpmn:incoming>SequenceFlow_03qwadr</bpmn:incoming>
      <bpmn:outgoing>SequenceFlow_1gn7wpf</bpmn:outgoing>
    </bpmn:userTask>
    <bpmn:endEvent id="EndEvent_0shh7xf">
      <bpmn:incoming>SequenceFlow_1gn7wpf</bpmn:incoming>
    </bpmn:endEvent>
    <bpmn:scriptTask id="ParseGreeting" name="Parse Greeting &#38; Year" scriptFormat="javascript">
      <bpmn:incoming>SequenceFlow_0hunfd2</bpmn:incoming>
      <bpmn:outgoing>SequenceFlow_0xzp901</bpmn:outgoing>
      <bpmn:script>execution.setVariable("parsedGreeting", JSON.parse(greeting)["Greeting"]["value"]);

execution.setVariable("parsedYear", JSON.parse(currentYear)["StartYear"]["value"]);</bpmn:script>
    </bpmn:scriptTask>
    <bpmn:subProcess id="Task_1hu3n0f">
      <bpmn:incoming>SequenceFlow_0s00thk</bpmn:incoming>
      <bpmn:outgoing>SequenceFlow_0hunfd2</bpmn:outgoing>
      <bpmn:serviceTask id="hello_task" name="Say Hello" camunda:modelerTemplate="HelloSiLAServer.GreetingProviderSayHello" camunda:delegateExpression="${siLASynchronousCall}">
        <bpmn:extensionElements>
          <camunda:inputOutput>
            <camunda:inputParameter name="serverName">Hello SiLA Server</camunda:inputParameter>
            <camunda:inputParameter name="featureIdentifier">GreetingProvider</camunda:inputParameter>
            <camunda:inputParameter name="callIdentifier">SayHello</camunda:inputParameter>
            <camunda:inputParameter name="callType">UNOBSERVABLE_COMMAND</camunda:inputParameter>
            <camunda:inputParameter name="responseReference">greeting</camunda:inputParameter>
            <camunda:inputParameter name="callParameter">
              <camunda:script scriptFormat="javascript">JSON.stringify({Name:{value:initiator}})</camunda:script>
            </camunda:inputParameter>
          </camunda:inputOutput>
        </bpmn:extensionElements>
        <bpmn:incoming>SequenceFlow_06yfnqn</bpmn:incoming>
        <bpmn:outgoing>SequenceFlow_136le61</bpmn:outgoing>
      </bpmn:serviceTask>
      <bpmn:parallelGateway id="ExclusiveGateway_0ypjjsl">
        <bpmn:incoming>SequenceFlow_0l1x4b3</bpmn:incoming>
        <bpmn:outgoing>SequenceFlow_06yfnqn</bpmn:outgoing>
        <bpmn:outgoing>SequenceFlow_19pma6f</bpmn:outgoing>
      </bpmn:parallelGateway>
      <bpmn:serviceTask id="year_task" name="Ger Year" camunda:modelerTemplate="HelloSiLAServer.GreetingProviderStartYear" camunda:delegateExpression="${siLASynchronousCall}">
        <bpmn:extensionElements>
          <camunda:inputOutput>
            <camunda:inputParameter name="serverName">Hello SiLA Server</camunda:inputParameter>
            <camunda:inputParameter name="featureIdentifier">GreetingProvider</camunda:inputParameter>
            <camunda:inputParameter name="callIdentifier">StartYear</camunda:inputParameter>
            <camunda:inputParameter name="callType">UNOBSERVABLE_PROPERTY</camunda:inputParameter>
            <camunda:inputParameter name="callParameter">{}</camunda:inputParameter>
            <camunda:inputParameter name="responseReference">currentYear</camunda:inputParameter>
          </camunda:inputOutput>
        </bpmn:extensionElements>
        <bpmn:incoming>SequenceFlow_19pma6f</bpmn:incoming>
        <bpmn:outgoing>SequenceFlow_0oi53rx</bpmn:outgoing>
      </bpmn:serviceTask>
      <bpmn:parallelGateway id="ParallelGateway_12aaivz">
        <bpmn:incoming>SequenceFlow_0oi53rx</bpmn:incoming>
        <bpmn:incoming>SequenceFlow_136le61</bpmn:incoming>
        <bpmn:outgoing>SequenceFlow_18xat7e</bpmn:outgoing>
      </bpmn:parallelGateway>
      <bpmn:startEvent id="StartEvent_054os6g">
        <bpmn:outgoing>SequenceFlow_0l1x4b3</bpmn:outgoing>
      </bpmn:startEvent>
      <bpmn:sequenceFlow id="SequenceFlow_0l1x4b3" sourceRef="StartEvent_054os6g" targetRef="ExclusiveGateway_0ypjjsl" />
      <bpmn:sequenceFlow id="SequenceFlow_06yfnqn" sourceRef="ExclusiveGateway_0ypjjsl" targetRef="hello_task" />
      <bpmn:sequenceFlow id="SequenceFlow_19pma6f" sourceRef="ExclusiveGateway_0ypjjsl" targetRef="year_task" />
      <bpmn:sequenceFlow id="SequenceFlow_0oi53rx" sourceRef="year_task" targetRef="ParallelGateway_12aaivz" />
      <bpmn:sequenceFlow id="SequenceFlow_136le61" sourceRef="hello_task" targetRef="ParallelGateway_12aaivz" />
      <bpmn:endEvent id="EndEvent_1bqdhgr">
        <bpmn:incoming>SequenceFlow_18xat7e</bpmn:incoming>
      </bpmn:endEvent>
      <bpmn:sequenceFlow id="SequenceFlow_18xat7e" sourceRef="ParallelGateway_12aaivz" targetRef="EndEvent_1bqdhgr" />
    </bpmn:subProcess>
    <bpmn:boundaryEvent id="BoundaryEvent_0pjennw" attachedToRef="Task_1hu3n0f">
      <bpmn:outgoing>SequenceFlow_03qwadr</bpmn:outgoing>
      <bpmn:errorEventDefinition camunda:errorCodeVariable="errorCode" camunda:errorMessageVariable="errorMessage" />
    </bpmn:boundaryEvent>
    <bpmn:sequenceFlow id="SequenceFlow_1gn7wpf" sourceRef="Task_0xfvl8l" targetRef="EndEvent_0shh7xf" />
    <bpmn:sequenceFlow id="SequenceFlow_0hunfd2" sourceRef="Task_1hu3n0f" targetRef="ParseGreeting" />
    <bpmn:sequenceFlow id="SequenceFlow_0xzp901" sourceRef="ParseGreeting" targetRef="Task_0smj8wk" />
    <bpmn:sequenceFlow id="SequenceFlow_0bhy0yh" sourceRef="Task_0smj8wk" targetRef="EndEvent_1r6litg" />
    <bpmn:sequenceFlow id="SequenceFlow_03qwadr" sourceRef="BoundaryEvent_0pjennw" targetRef="Task_0xfvl8l" />
  </bpmn:process>
  <bpmndi:BPMNDiagram id="BPMNDiagram_1">
    <bpmndi:BPMNPlane id="BPMNPlane_1" bpmnElement="hello_sila">
      <bpmndi:BPMNShape id="_BPMNShape_StartEvent_2" bpmnElement="StartEvent_1">
        <dc:Bounds x="121" y="102" width="36" height="36" />
        <bpmndi:BPMNLabel>
          <dc:Bounds x="112" y="145" width="55" height="14" />
        </bpmndi:BPMNLabel>
      </bpmndi:BPMNShape>
      <bpmndi:BPMNEdge id="SequenceFlow_0s00thk_di" bpmnElement="SequenceFlow_0s00thk">
        <di:waypoint x="157" y="120" />
        <di:waypoint x="218" y="120" />
      </bpmndi:BPMNEdge>
      <bpmndi:BPMNShape id="UserTask_0fy6knu_di" bpmnElement="Task_0smj8wk">
        <dc:Bounds x="719" y="188" width="100" height="80" />
      </bpmndi:BPMNShape>
      <bpmndi:BPMNShape id="EndEvent_1r6litg_di" bpmnElement="EndEvent_1r6litg">
        <dc:Bounds x="751" y="303" width="36" height="36" />
      </bpmndi:BPMNShape>
      <bpmndi:BPMNShape id="BoundaryEvent_0kxj5he_di" bpmnElement="BoundaryEvent_0pjennw">
        <dc:Bounds x="438" y="210" width="36" height="36" />
      </bpmndi:BPMNShape>
      <bpmndi:BPMNShape id="UserTask_0yi2gqs_di" bpmnElement="Task_0xfvl8l">
        <dc:Bounds x="406" y="281" width="100" height="80" />
      </bpmndi:BPMNShape>
      <bpmndi:BPMNShape id="EndEvent_0shh7xf_di" bpmnElement="EndEvent_0shh7xf">
        <dc:Bounds x="438" y="393" width="36" height="36" />
      </bpmndi:BPMNShape>
      <bpmndi:BPMNShape id="ScriptTask_1dqwqks_di" bpmnElement="ParseGreeting">
        <dc:Bounds x="719" y="80" width="100" height="80" />
      </bpmndi:BPMNShape>
      <bpmndi:BPMNShape id="ServiceTask_0rrm1ij_di" bpmnElement="hello_task">
        <dc:Bounds x="402" y="31" width="100" height="80" />
      </bpmndi:BPMNShape>
      <bpmndi:BPMNShape id="SubProcess_1eimj9p_di" bpmnElement="Task_1hu3n0f" isExpanded="true">
        <dc:Bounds x="218" y="11" width="475" height="217" />
      </bpmndi:BPMNShape>
      <bpmndi:BPMNShape id="ParallelGateway_19rxv0z_di" bpmnElement="ExclusiveGateway_0ypjjsl">
        <dc:Bounds x="309" y="94" width="50" height="50" />
      </bpmndi:BPMNShape>
      <bpmndi:BPMNShape id="ServiceTask_0c8h147_di" bpmnElement="year_task">
        <dc:Bounds x="402" y="128" width="100" height="80" />
      </bpmndi:BPMNShape>
      <bpmndi:BPMNShape id="ParallelGateway_12aaivz_di" bpmnElement="ParallelGateway_12aaivz">
        <dc:Bounds x="538" y="94" width="50" height="50" />
      </bpmndi:BPMNShape>
      <bpmndi:BPMNShape id="StartEvent_054os6g_di" bpmnElement="StartEvent_054os6g">
        <dc:Bounds x="241" y="101" width="36" height="36" />
      </bpmndi:BPMNShape>
      <bpmndi:BPMNEdge id="SequenceFlow_0l1x4b3_di" bpmnElement="SequenceFlow_0l1x4b3">
        <di:waypoint x="277" y="119" />
        <di:waypoint x="309" y="119" />
      </bpmndi:BPMNEdge>
      <bpmndi:BPMNEdge id="SequenceFlow_06yfnqn_di" bpmnElement="SequenceFlow_06yfnqn">
        <di:waypoint x="359" y="119" />
        <di:waypoint x="381" y="119" />
        <di:waypoint x="381" y="71" />
        <di:waypoint x="402" y="71" />
      </bpmndi:BPMNEdge>
      <bpmndi:BPMNEdge id="SequenceFlow_19pma6f_di" bpmnElement="SequenceFlow_19pma6f">
        <di:waypoint x="359" y="119" />
        <di:waypoint x="381" y="119" />
        <di:waypoint x="381" y="168" />
        <di:waypoint x="402" y="168" />
      </bpmndi:BPMNEdge>
      <bpmndi:BPMNEdge id="SequenceFlow_0oi53rx_di" bpmnElement="SequenceFlow_0oi53rx">
        <di:waypoint x="502" y="168" />
        <di:waypoint x="520" y="168" />
        <di:waypoint x="520" y="119" />
        <di:waypoint x="538" y="119" />
      </bpmndi:BPMNEdge>
      <bpmndi:BPMNEdge id="SequenceFlow_136le61_di" bpmnElement="SequenceFlow_136le61">
        <di:waypoint x="502" y="71" />
        <di:waypoint x="520" y="71" />
        <di:waypoint x="520" y="119" />
        <di:waypoint x="538" y="119" />
      </bpmndi:BPMNEdge>
      <bpmndi:BPMNShape id="EndEvent_1bqdhgr_di" bpmnElement="EndEvent_1bqdhgr">
        <dc:Bounds x="621" y="101" width="36" height="36" />
      </bpmndi:BPMNShape>
      <bpmndi:BPMNEdge id="SequenceFlow_18xat7e_di" bpmnElement="SequenceFlow_18xat7e">
        <di:waypoint x="588" y="119" />
        <di:waypoint x="621" y="119" />
      </bpmndi:BPMNEdge>
      <bpmndi:BPMNEdge id="SequenceFlow_1gn7wpf_di" bpmnElement="SequenceFlow_1gn7wpf">
        <di:waypoint x="456" y="361" />
        <di:waypoint x="456" y="393" />
      </bpmndi:BPMNEdge>
      <bpmndi:BPMNEdge id="SequenceFlow_0hunfd2_di" bpmnElement="SequenceFlow_0hunfd2">
        <di:waypoint x="693" y="120" />
        <di:waypoint x="719" y="120" />
      </bpmndi:BPMNEdge>
      <bpmndi:BPMNEdge id="SequenceFlow_0xzp901_di" bpmnElement="SequenceFlow_0xzp901">
        <di:waypoint x="769" y="160" />
        <di:waypoint x="769" y="188" />
      </bpmndi:BPMNEdge>
      <bpmndi:BPMNEdge id="SequenceFlow_0bhy0yh_di" bpmnElement="SequenceFlow_0bhy0yh">
        <di:waypoint x="769" y="268" />
        <di:waypoint x="769" y="303" />
      </bpmndi:BPMNEdge>
      <bpmndi:BPMNEdge id="SequenceFlow_03qwadr_di" bpmnElement="SequenceFlow_03qwadr">
        <di:waypoint x="456" y="246" />
        <di:waypoint x="456" y="321" />
        <di:waypoint x="456" y="281" />
      </bpmndi:BPMNEdge>
    </bpmndi:BPMNPlane>
  </bpmndi:BPMNDiagram>
</bpmn:definitions>
